/**
 * FaxResult.java
 */

package etherfax.web;

/**
 * FaxResult values.
 */
public class FaxResult {
	public static final int Success = 0;
	public static final int Error = 1;
	public static final int InProgress = 2;
	public static final int LineBusy = 3;
	public static final int LineDead = 4;
	public static final int LineFailure = 5;
	public static final int NoDialTone = 6;
	public static final int NoAnswer = 7;
	public static final int InvalidOrMissingNumber = 8;
	public static final int InvalidOrMissingFile = 9;
	public static final int InvalidChannel = 10;
	public static final int UnexpectedDisconnect = 11;
	public static final int NoChannelsAvailable = 12;
	public static final int ChannelUnavailable = 13;
	public static final int NothingToCancel = 14;
	public static final int DeviceTimeout = 15;
	public static final int DeviceBusy = 16;
	public static final int NotFaxMachine = 17;
	public static final int IncompatibleFaxMachine = 18;
	public static final int FileError = 19; 
	public static final int FileNotFound = 20;
	public static final int FileUnsupported = 21;
	public static final int CallCollision = 22;
	public static final int Cancelled = 23;
	public static final int CallBlocked = 24;
	public static final int DestinationBlackListed = 25;
	public static final int Unauthorized = 100;
	public static final int InvalidParameter = 101;
	public static final int NotImplemented = 102;
	public static final int ItemNotFound = 103;
}
