/**
 * AccountStatus.java
 */

package etherfax.web;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/**
 * AccountStatus class.
 */
public class AccountStatus {
	public String Account;
	public String Name;
	public String Status;
	public int Ports;
	public int Features;

	/**
	 * fromXmlNode
	 */
	public void fromXmlNode(Node node) {
		// process all text nodes
		NodeList nodes = node.getChildNodes();
		for (int n = 0; n < nodes.getLength(); n++) {
			if (nodes.item(n).getNodeType() == Node.ELEMENT_NODE) {
				String item = nodes.item(n).getNodeName().toLowerCase();
				String val = nodes.item(n).getTextContent();
				
				try {
					if (item.equals("account"))
						Account = val;
					else if (item.equals("name"))
						Name = val;
					else if (item.equals("status"))
						Status = val;
					else if (item.equals("ports"))
						Ports = Integer.parseInt(val);
//					else if (item.equals("features"))
//						Features = Integer.parseInt(val);
				}
				catch (Exception e) {
					e.printStackTrace();
				}
			}
		}
	}
}
